#!/bin/sh
#
# Shell script to install Java-based GUI RAID Manager.

cd ..
SRCDIR=`pwd`
OSDIR=${SRCDIR}/linux
COMDIR=${SRCDIR}/common

if [ ! -r /usr/.path.ori ]; then
   echo "`echo $PATH`" > /usr/.path.ori
fi

# Set path for JRE
export PATH; PATH=/usr/local/jre1.2.2/bin:$PATH

more << "EOF"

	*************************************************************
             Java-based GUI RAID Manager Installation Procedure
        *************************************************************

SECTION I : JRE v1.2.2 Installation

*NOTE: 1.Before you can run Java-based program successfully, you should have
         installed JRE(Java Runtime Enviroment).
       2.JRE v1.2.2 will be installed on /usr/local/jre1.2.2 .
EOF
 
echo "Would you like to install JRE v1.2.2 now?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          mkdir /usr/local > /dev/null 2>&1;
          cd /usr/local;
          tar -xvf ${OSDIR}/jre2.tar;
	  echo "Install JRE v1.2.2 finished!"
	  agreed=1;;
       n* | N*)
	  echo "Install JRE v1.2.2 Canceled!"
          agreed=1;;
    esac
done

# Check to see if glibc-2.1.2 or higher exists.
# Method 1
/usr/local/jre1.2.2/bin/java -version > /dev/null 2>&1
if [ $? != 0 ]; then
   echo "JRE doesn't exist or installed is old version."
   echo "JRE v1.2.2 needs at least a glibc-2.1.2 based system with a recent 2.2.xx kernel."
   echo "Install failed!"
   return
else
   PATH=/usr/local/jre1.2.2/bin:`cat /usr/.path.ori`; export PATH
fi 

# Method 2
# (${SRCDIR}/jre1.2.2/bin/java > /dev/null) 2>log.dat
# if !(test -s log.dat); then
#   echo "JRE v1.2.2 needs at least a glibc-2.1.2 based system with a recent
# 2.2.xx kernel."            echo "Install failed !"
#   rm -f log.dat
#   exit 1
# fi
# rm -f log.dat

# Method 2 for option selection code structure
# while true; do
#   echo 1>&2 "Please type yes or no."
#   read RESPONSE
#   if [ "$RESPONSE" = yes ];then
#     cd /usr/local
#     ${SRCDIR}/jre-1.2.2-RC4-linux-i386-glibc-2.1.2.sh
#     break
#  fi
#  if [ "$RESPONSE" = no ]; then 
#     break
#  fi
# done

more << "EOF"

-----------------------------------------------------------------------------
SECTION II : Java Plug-in v1.2.2 Installation

*NOTE: If you would like to run Java-based GUI RAID Manager through web
       browser(e.g. Netscape Navigator), you should have install Java Plug-
       in. Check to see if directory ${HOME}/.netscape/ exists.

EOF
 
echo "Would you like to install Java Plug-in v1.2.2 now?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          ${OSDIR}/j2pi.sh;
	  agreed=1;;
       n* | N*)
	  echo "Install Java Plug-in v1.2.2 Canceled!"	
          agreed=1;;
    esac
done

# Install .java.policy & .keystore
rm -f ${HOME}/.keystore
rm -f ${HOME}/.java.policy
(cp -f ${COMDIR}/keystore.jav ${HOME}/.keystore) > /dev/null 2>&1
(cp -f ${COMDIR}/policy.jav ${HOME}/.java.policy) > /dev/null 2>&1

more << "EOF"

----------------------------------------------------------------------------
SECTION III : Java-based GUI RAID Manager Installation

*NOTE: To install and configure Java-based GUI RAID Manager successfully,
       We highly recommend you refer to INSTALLATION GUIDE first.

EOF

echo "Would you like to install Java-based GUI RAID Manager now?"
agreed=
while [ x$agreed = x ]; do
    echo "Please type yes or no."
    read reply 
    case $reply in
       y* | Y*)
          cd $COMDIR; 
          java -Djava.compiler="" -cp ${COMDIR}/install.jar Install > /dev/null 2>&1;
          if [ -r /usr/.iftgui.ini -a -r /usr/.iftagent.ini ]; then
             if [ ! -r /etc/profile.ori ]; then
                cp -f /etc/profile /etc/profile.ori
             else
		rm -f /etc/profile
                cp -f /etc/profile.ori /etc/profile
             fi
             echo "INSTALLERDIR=`cat /usr/.iftgui.ini`" > `cat /usr/.iftgui.ini`uninstal.sh
	     echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftgui.ini`uninstal.sh
	     chmod +x `cat /usr/.iftgui.ini`uninstal.sh
             echo "cd `cat /usr/.iftgui.ini`" > /usr/local/jre1.2.2/bin/grm.sh
             echo "java -jar grm.jar > /dev/null 2>&1" >> /usr/local/jre1.2.2/bin/grm.sh    
             chmod +x /usr/local/jre1.2.2/bin/grm.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/local/jre1.2.2/bin/grem.sh
             echo "java -cp grm.jar:grem.jar grem.EvtWatch > /dev/null 2>&1" >> /usr/local/jre1.2.2/bin/grem.sh    
             chmod +x /usr/local/jre1.2.2/bin/grem.sh 
	     echo "export PATH; PATH=/usr/local/jre1.2.2/bin:`cat /usr/.path.ori`:`cat /usr/.iftgui.ini`:`cat /usr/.iftagent.ini`" > /usr/.ift.ini  	     
	     . /usr/.ift.ini
             cat /usr/.ift.ini >> /etc/profile
             secondary > /dev/null 2>&1
	     primary > /dev/null 2>&1
	     echo "secondary > /dev/null 2>&1" >> /etc/profile
	     echo "primary > /dev/null 2>&1" >> /etc/profile      
             rm -f /usr/.ift.ini > /dev/null 2>&1	
             rm -f /usr/.iftagent.ini > /dev/null 2>&1	
             rm -f /usr/.iftgui.ini > /dev/null 2>&1	
             echo "Install Java-based GUI RAID Manager Finished!";
	  elif [ -r /usr/.iftgui.ini ]; then
             if [ ! -r /etc/profile.ori ]; then
                cp -f /etc/profile /etc/profile.ori
             else
		rm -f /etc/profile
                cp -f /etc/profile.ori /etc/profile
             fi
             echo "INSTALLERDIR=`cat /usr/.iftgui.ini`" > `cat /usr/.iftgui.ini`uninstal.sh
	     echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftgui.ini`uninstal.sh
	     chmod +x `cat /usr/.iftgui.ini`uninstal.sh
             echo "cd `cat /usr/.iftgui.ini`" > /usr/local/jre1.2.2/bin/grm.sh
             echo "java -jar grm.jar > /dev/null 2>&1" >> /usr/local/jre1.2.2/bin/grm.sh    
             chmod +x /usr/local/jre1.2.2/bin/grm.sh 
             echo "cd `cat /usr/.iftgui.ini`" > /usr/local/jre1.2.2/bin/grem.sh
             echo "java -cp grm.jar:grem.jar grem.EvtWatch > /dev/null 2>&1" >> /usr/local/jre1.2.2/bin/grem.sh
             chmod +x /usr/local/jre1.2.2/bin/grem.sh
	     echo "export PATH; PATH=/usr/local/jre1.2.2/bin:`cat /usr/.path.ori`:`cat /usr/.iftgui.ini`" > /usr/.ift.ini
	     . /usr/.ift.ini
             cat /usr/.ift.ini >> /etc/profile
             rm -f /usr/.ift.ini > /dev/null 2>&1	
             rm -f /usr/.iftgui.ini > /dev/null 2>&1	
             echo "Install Java-based GUI RAID Manager Finished!";
	  elif [ -r /usr/.iftagent.ini ]; then
             if [ ! -r /etc/profile.ori ]; then
                cp -f /etc/profile /etc/profile.ori
             else
		rm -f /etc/profile
                cp -f /etc/profile.ori /etc/profile
             fi
             echo "INSTALLERDIR=`cat /usr/.iftagent.ini`" > `cat /usr/.iftagent.ini`uninstal.sh
	     echo "`cat ${OSDIR}/uninstal.sh`" >> `cat /usr/.iftagent.ini`uninstal.sh
	     chmod +x `cat /usr/.iftagent.ini`uninstal.sh
             echo "export PATH; PATH=/usr/local/jre1.2.2/bin:`cat /usr/.path.ori`:`cat /usr/.iftagent.ini`" > /usr/.ift.ini  	     
	     . /usr/.ift.ini
       	     cat /usr/.ift.ini >> /etc/profile
             secondary > /dev/null 2>&1
	     primary > /dev/null 2>&1
	     echo "secondary > /dev/null 2>&1" >> /etc/profile
	     echo "primary > /dev/null 2>&1" >> /etc/profile      
             rm -f /usr/.ift.ini > /dev/null 2>&1	
             rm -f /usr/.iftagent.ini > /dev/null 2>&1	
             echo "Install Java-based GUI RAID Manager Finished!";
          else
	     echo "Install Java-based GUI RAID Manager Canceled!";
	  fi
          agreed=1;;
       n* | N*)
          echo "Install Java-based GUI RAID Manager Canceled!";
          agreed=1;;
    esac
done

